Outil de développement

LANGONET

Vérifier, rechercher, afficher, générer ou éditer les items de langue

Préfixe : langonet
Utilisé dans 90 sites
Mis à jour le 18 septembre 2017
  • SPIP 3.1
  • SPIP 3.0
  • SPIP 2.1
  • SPIP 2.0

1.4.5 - stable

Compatible : SPIP 3.1 SPIP 3.0
Afficher la description

Ce plugin permet d’exécuter des actions de vérification et de nettoyage des fichiers de langue de SPIP, des plugins ou des squelettes. Il offre aussi la possibilité de consulter l’ensemble des items contenus dans les fichiers de langue disponibles sur le site et d’effectuer des recherches d’items dans les fichiers de langue de SPIP. Sous certaines conditions, il produit automatiquement des items de langue à partir des textes libres repérés. Depuis la version 1.4.0, le plugin permet aussi d’éditer tout ou partie des items d’un fichier de langue.

Version
1.4.5
Compatiblité
SPIP ≥ 3.0.0 et ≤ 3.1.*
État
stable
Auteur
Eric Lupinacci, denisb, esj, kent1
Licence
GPL 3
Module de langue
langonet
Langue référence
français
Gestionnaire
salvatore
Traductions
English (kent1, Martin McCaffery) , français , slovenčina (jaro)
Archive
langonet.zip
Taille
93.7 ko
Générée le
18-09-2017 15:04
Hébergée par
SPIP-Zone - Plugins

0.7.7 - stable

Compatible : SPIP
Afficher la description

Ce plugin permet d’exécuter des actions de vérification et de nettoyage des fichiers de langue de SPIP, des plugins ou des squelettes. Il est aussi possible de consulter l’ensemble des items contenus dans les fichiers de langue disponibles sur le site et d’effectuer des recherches d’items dans les fichiers de langue de SPIP. Sous certaines conditions, il produit automatiquement des items de langue à partir des textes libres repérés.

Version
0.7.7
Compatiblité
SPIP ≥ 2.0.0 et ≤ 2.99.*
État
stable
Auteur
Eric Lupinacci, denisb, esj, kent1
Licence
GPL 3
Module de langue
langonet
Langue référence
français
Gestionnaire
salvatore
Traductions
English (kent1, Martin McCaffery) , Español (severo) , français , Nederlands (Hanjo) , òc nissart (mistralenc) (sylvain) , slovenčina (jaro)
Archive
langonet_v0.zip
Taille
77.7 ko
Générée le
02-04-2017 18:04
Hébergée par
SPIP-Zone - Plugins
Nécessite les plugins
Itérateurs ≥ 0.2.5

Dernières modifications

  • Revision 106327  : Pouvoir exclure aussi le répertoire plugins/auto sans exclure tout plugins/*
  • Revision 106310  : Ajout d’une constante permettant de définir les arborescences à exclure du scan des fichiers de (...)
  • Revision 106303  : Correction des tab et retours chariot intuiles dans le formulaire de traduction (...)
  • Revision 106010  : oups, revert
  • Revision 106009  : on exclue de la liste magic login
  • Revision 104336  : Ce n’est plus ​http://trad.spip.org mais ​https://trad.spip.net trad.spip est en https (...)
  • Revision 103720  : Contrib est en https, donc j’ajoute le "s", plus divers broutilles
  • Revision 99209  : Tabulations.
  • Revision 99208  : On déplace les styles du formulaire de traduction dans le fichier des css privées du (...)
  • Revision 99207  : Recherche de texte : correction d’un bug qui faisait que pour des items appartenant à un module (...)

Messages de forum

  • 18 septembre : Ah ok c’est cool. Je n’ai jamais fait cette distinction jusqu’à maintenant. Après comme je le (...)
  • 18 septembre : Impecc, du coup j’ai rajouté une option pour exclure plugins/auto sans exclure tout plugins/* (...)
  • 16 septembre : Une proposition à essayer en 1.4.4.
  • 16 septembre : Pour le deuxième point ton besoin est uniquement lié aux fonctions de traduction (editer et (...)
  • 15 septembre : Corrigé en 1.4.3 pour le premier point, merci. Pour le deuxième point, si t’as la motivation vas (...)
  • 15 septembre : Salut, Langonet v1.4.2, testé sur 3.2 svn J’ai un premier souci : quand je génère une traduction (...)
  • 8 septembre : Bonsoir, J’ai quelque peu tarder à réagir à ta réponse. En tous cas, merci !
  • 23 août : Oui, le plugin est compatible 3.2, je n’ai pas encore mis à jour son paquet.xml car SPIP autorise (...)
  • 23 août : Bonjour, J’ai bien vu qu’il est indiqué compatible 3.1 et pas 3.2, je viens de tester ce plugin (...)
  • 18 avril 2016 : hello :-) La version pour spip 3.1 sera dispo cette nuit à partir de 3h49, en effet, la (...)